---
author: François Pelletier et Hans Raldy Saint-Preux
date: 11 octobre 2017
header-includes:
  - \usepackage[T1]{fontenc}
  - \usepackage[french]{babel}
  - \usepackage{datetime}
  - \usepackage{hyperref}
---
# Semaine 6: Journal collectif: La gestion de l'incertain dans les systèmes à base de connaissances

Par François Pelletier et Hans Raldy Saint-Preux

On parle d'incertain:

- Inconsistance
- Incomplétude
- Variabilité

Approches:

- Systèmes probabilistes dérivés du théorème de [Dempster–Shafer](https://fr.wikipedia.org/wiki/Th%C3%A9orie_de_Dempster-Shafer), qui est une généralisation du théorème de Bayes
    - Raisonnement bayésien (réseau bayésien)
    - Facteurs de certitude ou de croyance
- Logique floue (Zadeh)
- Logique modale?

## Est-ce que ces approches répondent aux mêmes objectifs?

- Logique floue: 
    - Langage naturel
    - On peut tout convertir en logique floue
    - Moins utilisée en occident en raison de sa connotation péjorative alors que le nom utilisé pour cette théorie en orient l'a rendue populaire.
- Approches probabilistes
    - Approches scientifiques dans la collecte de données
    - Nécessite une grande quantité d'observations pour pouvoir évaluer les probabilités avec précision

## Pourquoi gérer l'incertain ?

- Plusieurs hypothèses possibles
- Au niveau de la règle (force de la règle, mesure de la véracité, facteur de croyance)
    - Condition, prémisses $\xrightarrow{\text{force}}$ Conclusion
    - On conserve la règle seulement si $0 > \text{force} \leq 1$, c'est-à-dire qu'elle est probablement vraie.
- L'héritage d'un facteur de croyance d'une règle appliquée précédemment se fait au niveau des conditions. Ceci permet de représenter l'incertitude et de raisonner avec. La force de la règle de change pas.
- Au départ, on ne met pas de facteur de croyance sur la condition, mais seulement sur la règle.
- Au niveau de l'utilisateur, les faits ou données du problème peuvent être incomplètes ou erronées
- $CF(\text{fait}) \wedge CF(\text{autres hypothèses}) \rightarrow CF(\text{conditions})$

Dans la conception:

- Quel niveau de complétude accepter
- Représenter l'incertitude et raisonner avec

Avec les facteurs de croyances, est-il possible de multiplier deux facteurs négatifs pour obtenir un facteur positif.

- Serait en théorie possible (on s'approche de la négation de la négation)
- On ne voudra pas de règles avec un facteur de croyance négative, mais plutôt la règle dérivée avec un facteur positif.
- Aucune pertinence de conserver une fausse règle dans un système.
- Dans le négatif, le meilleur des cas est "0"
- $CF(\text{conditions}) \times FC(\text{force de la règle}) = FC(\text{Hypothèse})$

## Différence entre probabilité et facteur de croyance

- Les facteurs de croyances sont multiplicatifs alors que pour les probabilités, on a $P(A   \vee B) = P(A)+P(B)-P(A \wedge B)$
- Le domaine de valeurs est différent: probabilité entre 0 et 1, facteur de croyances entre -1 et 1.
- Un dé régulier a une probabilité de 1/6 pour chaque face, mais le facteur de croyance est de 1. Si on croit que le dé est truqué, alors le facteur de croyance est de moins que 1.
- Les facteurs de croyances sont plus récents comme théorie, apparition avec MYCIN.

Possibilité d'un hybride en utilisant la règle de Bayes, mais avec les facteurs de croyances?

- Pas de notion de vrai ou faux en probabilités. S'applique sur la réalisation d'un évènement
- Probabilité: déterministe ou expérimental
- Facteur de croyance: très peu probable donne un facteur près de zéro.
- Approche Valuation-based qui est une généralisation

On ne peut pas faire de chaînage arrière avec une règle négative.

## La gestion de l’incertitude dans les systèmes à base de cas.

C’est un choix de conception. On peut affecter des probabilités aux cas similaires.
On peut représenter l’incertitude:

1. Cas: l’utilisateur peut mettre des informations pour compléter le système. 
    - Répercussions sur les autres étapes.
    - Logique floue : pour représenter les données.
    - Notion de cas flou.
1. Recherche des cas similaires: raisonner l’incertitude avec des cas similaires.
    - Vérification des paramètres s’ils sont similaires. 
    - Puis, on fait une comparaison globale pour trouver une meilleure similarité. 
    - Il y a donc deux niveaux.
1. L’adaptation: on utilise les techniques de la logique floue.
    - Quand les données sont incomplètes, on essaie de les catégoriser, puis mettre des probabilités pour déterminer les valeurs manquantes.

## La gestion de l’incertitude dans les systèmes à base de schémas

La probabilité peut être ajoutée dans une facette d'un terminal (slot).

